summaryrefslogtreecommitdiff
path: root/run_bank.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run_bank.sh')
-rwxr-xr-xrun_bank.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/run_bank.sh b/run_bank.sh
index 631ea9c..f5f25e2 100755
--- a/run_bank.sh
+++ b/run_bank.sh
@@ -2,7 +2,15 @@
source $HOME/test_bank_login/bin/activate
cd $HOME/bank/TalerBank/
+
+bank_port=$(cat $HOME/config/bankport)
+
+if [[ -z "$bank_port" ]]; then
+ echo "Port for bank not configured" >&2
+ exit 1
+fi
+
# Since GNUnet ARM sends SIGTERM to
# kill services, we want uwsgi to die on that
# signal instead of reloading
-exec uwsgi --master --die-on-term --socket :8000 --module TalerBank.wsgi
+exec uwsgi --master --die-on-term --socket ":$bank_port" --module TalerBank.wsgi